### Function

# GIRepository ObjectInfoRefFunction

since: 2.80

#### Declaration

    void*
    (* GIObjectInfoRefFunction) (
      void* object
    )

#### Description

Increases the reference count of an object instance.

Available since: 2.80

This function is not directly available to language bindings.

#### Parameters

`object`

  Type: `void*`

  Object instance pointer.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `void*`

The object instance.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.